import { Vector2 } from "three";
import { Polyline } from "../../../api";
import { BoardOpenDir } from "../../../UI/Store/BoardInterface";
import { KJL_AssemblyModel, KJL_DesignData, KJL_DrillData, KJL_Parameter, KJL_ParamModel, KJL_Path } from "./KJLInterface";
export declare function ParseRoomNameMap(d: KJL_DesignData): Map<string, string>;
export declare function ParseCabNameMap(data: KJL_AssemblyModel[]): Map<string, string>;
export declare function ParseEdgeBanding(model: KJL_ParamModel): number[] | undefined;
export declare function ParseBT(params: KJL_Parameter[]): number;
export declare function ParseKMFX(params: KJL_Parameter[]): BoardOpenDir;
export declare function ParseBCBZ(params: KJL_Parameter[]): string;
export declare function ParseDrilling(params: KJL_Parameter[]): KJL_DrillData | undefined;
export declare function ParseEdges(params: KJL_Parameter[]): KJL_DrillData | undefined;
/**
 * 分析Path的外轮廓和内网洞
 * @param path
 */
export declare function ParsePathOutlineAndHole(path: KJL_Path, edgeBandingAll?: number[], drillData?: KJL_DrillData): [Polyline[], number[][]];
/**
 * 半径转凸度
 * @param pts
 * @param radiuss
 * @returns buls
 */
export declare function Radius2Buls(pts: Vector2[], radiuss: number[]): number[];
//# sourceMappingURL=KJLParse.d.ts.map