import * as THREE from "three";
/**
 * @author zz85 / https://github.com/zz85
 *
 * Based on "A Practical Analytic Model for Daylight"
 * aka The Preetham Model, the de facto standard analytic skydome model
 * http://www.cs.utah.edu/~shirley/papers/sunsky/sunsky.pdf
 *
 * First implemented by Simon Wallner
 * http://www.simonwallner.at/projects/atmospheric-scattering
 *
 * Improved by Martin Upitis
 * http://blenderartists.org/forum/showthread.php?245954-preethams-sky-impementation-HDR
 *
 * Three.js integration by zz85 http://twitter.com/blurspline
*/
export declare class Sky extends THREE.Mesh {
    constructor();
    get Uniforms(): SkyUniforms;
}
declare type SkyUniforms = {
    luminance: {
        value: 1;
    };
    turbidity: {
        value: 2;
    };
    rayleigh: {
        value: 1;
    };
    mieCoefficient: {
        value: 0.005;
    };
    mieDirectionalG: {
        value: 0.8;
    };
    sunPosition: {
        value: THREE.Vector3;
    };
};
export {};
//# sourceMappingURL=Sky.d.ts.map