/**
 * Base64Utils contains methods to convert from and to Base64 binary format.
 * @static
 *
 */
export declare class Base64Utils {
    /**
     * Charset used to encode binary data.
     *
     * @attribute encoding
     * @type {String}
     */
    static encoding: string;
    /**
     * Remove base64 header from data.
     *
     * Usefull for removing the heander from image, audio, video, etc.
     *
     * @method removeHeader
     * @param {String} base64
     * @return {String} base64
     */
    static removeHeader: (data: any) => any;
    /**
     * Get the file format present in the base64 string.
     *
     * @method getFileFormat
     * @param  {String} data Base64 data.
     * @return {String} File format present in the JSON data.
     */
    static getFileFormat: (data: any) => any;
    /**
     * Create base64 string from arraybuffer.
     *
     * @method fromArraybuffer
     * @param {Arraybuffer} arraybuffer
     * @return {String} base64
     */
    static fromArraybuffer: (arraybuffer: any) => string;
    /**
     * Create base64 string from binary string.
     *
     * @method fromBinaryString
     * @param {String} str
     * @return {String} base64
     */
    static fromBinaryString: (str: any) => string;
}
//# sourceMappingURL=Base64Utils.d.ts.map