import { Material, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Text } from "../Text/Text";
import { Dimension } from "./Dimension";
export declare class ArcDimension extends Dimension {
    private _Center;
    private _StartAngle;
    private _EndAngle;
    private _Clockwise;
    private _Radius;
    private _TextRadiusAdd;
    protected _TextString: string;
    private _Arc;
    protected _Text: Text;
    constructor(_Center?: Vector3, _StartAngle?: number, _EndAngle?: number, _Clockwise?: boolean, _Radius?: number, _TextRadiusAdd?: number, _TextString?: string);
    get Text(): Text;
    set TextRadiusAdd(ra: number);
    get TextRadiusAdd(): number;
    protected GetString(): string;
    GetGripPoints(): Vector3[];
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    GetStretchPoints(): Vector3[];
    MoveStretchPoints(indexList: number[], vec: Vector3): void;
    private UpdateArcFromThisArc;
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(renderType: RenderType, obj: Object3D): void;
    private ParseText;
    UpdateDrawObjectMaterial(type: RenderType, obj: Object3D, material?: Material): void;
    private PraseArc;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=ArcDimension.d.ts.map