import { Object3D } from 'three';
import { RenderType } from '../../GraphicsSystem/RenderType';
import { CADFiler } from '../CADFiler';
import { Light } from './Light';
/**
 * 点光源
 */
export declare class PointLight extends Light {
    /**
     * 光照长度,如果为0那么为无穷大
     */
    private _Distance;
    protected _Intensity: number;
    private _Decay;
    SourceRadius: number;
    SoftSourceRadius: number;
    SourceLength: number;
    AttenuationRadius: number;
    constructor();
    get Decay(): number;
    set Decay(decay: number);
    get Distance(): number;
    set Distance(dist: number);
    get WebIntensity(): number;
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=PointLight.d.ts.map