import { IRectInfo } from "../../Common/CurveUtils";
import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Shape } from "../../DatabaseServices/Shape";
/**
 * 优化走刀路径,连接偏移后的曲线数组
 * @param offsetCus 偏移后的曲线组
 * @param originShape 原始走刀形状
 * @param rad  刀半径
 * @returns tool path
 */
export declare function OptimizeToolPath(offsetCus: Curve[], originShape: Shape, rad: number): Curve[];
/**获取内偏移的轮廓 */
export declare function GetOffsetCurves(cu: Curve, dist: number, rectInfo?: IRectInfo): Curve[];
/** 获得曲线内偏移方向*/
export declare function GetCurveToInDir(cu: Curve): number;
/**矩形偏移,正为内偏移 */
export declare function RectOffset(rect: Polyline, res: IRectInfo, dist: number): Polyline;
//# sourceMappingURL=OptimizeToolPath.d.ts.map