import { EBoardKeyList } from "../../../Common/BoardKeyList";
import { ComposingType, FaceDirection, IBaseOption, IDrawBoardAutoCutOption, LinesType } from "../../Store/BoardInterface";
export interface IUpdateBoardInfosOption extends IBaseOption {
    condition: IUpdateInfoCondition;
    [EBoardKeyList.BrName]: string;
    [EBoardKeyList.RoomName]: string;
    [EBoardKeyList.CabinetName]: string;
    [EBoardKeyList.Lines]: LinesType;
    [EBoardKeyList.BigHole]: FaceDirection;
    [EBoardKeyList.DrillType]: string;
    [EBoardKeyList.ComposingFace]: ComposingType;
    upDownDrill: [boolean, boolean];
    [EBoardKeyList.UpSealed]?: string;
    [EBoardKeyList.DownSealed]?: string;
    [EBoardKeyList.LeftSealed]?: string;
    [EBoardKeyList.RightSealed]?: string;
    [EBoardKeyList.KnifeRad]: string;
    remarks: [string, string][];
    [EBoardKeyList.BrMat]: string;
    [EBoardKeyList.Mat]: string;
    [EBoardKeyList.Color]: string;
    grooveAddLength: string;
    grooveAddWidth: string;
    grooveAddDepth: string;
    highDrill: string[];
    isChaiDan: boolean;
}
export interface IUpdateInfoCondition {
    [EBoardKeyList.BrName]: boolean;
    [EBoardKeyList.RoomName]: boolean;
    [EBoardKeyList.CabinetName]: boolean;
    [EBoardKeyList.Lines]: boolean;
    [EBoardKeyList.BigHole]: boolean;
    [EBoardKeyList.DrillType]: boolean;
    [EBoardKeyList.ComposingFace]: boolean;
    [EBoardKeyList.UpSealed]: boolean;
    [EBoardKeyList.DownSealed]: boolean;
    [EBoardKeyList.LeftSealed]: boolean;
    [EBoardKeyList.RightSealed]: boolean;
    useZhengFanDrill: boolean;
    remarks: boolean;
    [EBoardKeyList.KnifeRad]: boolean;
    [EBoardKeyList.Mat]: boolean;
    grooveAddLength: boolean;
    grooveAddWidth: boolean;
    grooveAddDepth: boolean;
    upDrill: boolean;
    downDrill: boolean;
    leftDrill: boolean;
    rightDrill: boolean;
    isChaiDan: boolean;
    autoCutOption: IDrawBoardAutoCutOption;
}
//# sourceMappingURL=UpdateBoardInfointerface.d.ts.map