import { IObservableValue } from 'mobx';
import * as React from 'react';
import { PhysicalMaterialRecord } from '../../DatabaseServices/PhysicalMaterialRecord';
import { MaterialEditorLayout } from '../Layout/MaterialEditorLayout';
import { IDirectoryProps } from './SourceManage/CommonPanel';
export interface MaterialContainerProps {
    material: PhysicalMaterialRecord;
    onlineId?: string;
    isNew?: boolean;
    isOpen?: IObservableValue<boolean>;
    currentDir?: IDirectoryProps;
    getData?: () => void;
}
export declare const MATCONTENTID = "matContent";
/**
 * 材质球编辑器的容器
 */
export declare class MaterialContainer extends React.Component<MaterialContainerProps, {}> {
    materialEditor: MaterialEditorLayout;
    container: HTMLElement;
    private _isUploading;
    private event;
    constructor(props: MaterialContainerProps);
    handleOpen: () => void;
    handleClose: () => void;
    private handleUploadLogo;
    handleUploadMtl: () => Promise<void>;
    handleUpdateMtl: () => Promise<void>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=MaterialContainer.d.ts.map